Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Interface TreeCacheAopMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, TreeCacheMBean

All Known Implementing Classes:
  TreeCacheAop

public interface TreeCacheAopMBean
extends TreeCacheMBean

MBean interface.

Author:
  Harald Gliebe, Ben Wang

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Object` | `_put(GlobalTransaction tx, Fqn fqn, Object key, Object value, boolean create_undo_ops)`
`void` | `evict(Fqn fqn)` Override to provide aop specific eviction.
`Object` | `getObject(Fqn fqn)` Retrieve the aop-enabled object from the cache.
`Object` | `getObject(String fqn)` Retrieve the aop-enabled object from the cache.
`Object` | `putObject(Fqn fqn, Object obj)` Insert an aop-enabled object into the cache.
`Object` | `putObject(String fqn, Object obj)` Insert an aop-enabled object into the cache.
`Object` | `removeObject(Fqn fqn)` Remove aop-enabled object from the cache.
`Object` | `removeObject(String fqn)` Remove aop-enabled object from the cache.
`void` | `setEvictionPolicyClass(String eviction_policy_class)` Over-ride to make sure we are using an eviction policy specific to aop.

Methods inherited from interface org.jboss.cache.TreeCacheMBean
`_put, _put, _put, _put, _remove, _remove, _remove, _remove, addTreeCacheListener, callRemoteMethods, callRemoteMethods, createService, destroyService, dumpTransactionTable, evict, exists, exists, exists, exists, fetchState, get, get, getCacheLoader, getCacheLoaderClass, getCacheLoaderConfig, getCacheLoaderFetchPersistentState, getCacheLoaderFetchTransientState, getCacheLoaderPreload, getCacheLoaderShared, getCacheMode, getChildrenNames, getChildrenNames, getClusterName, getClusterProperties, getEvictionPolicyClass, getEvictionThreadWakeupIntervalSeconds, getFetchStateOnStartup, getInitialStateRetrievalTimeout, getInstance, getInterceptorChain, getInterceptors, getIsolationLevel, getJndiName, getKeys, getKeys, getLocalAddress, getLockAcquisitionTimeout, getMembers, getNumberOfAttributes, getNumberOfLocksHeld, getNumberOfNodes, getRemoteProxy, getReplQueueInterval, getReplQueueMaxElements, getSyncCommitPhase, getSyncReplTimeout, getSyncRollbackPhase, getTransactionManager, getTransactionManagerLookupClass, getUseReplQueue, isCoordinator, load, print, print, printDetails, printLockInfo, put, put, put, put, releaseAllLocks, releaseAllLocks, remove, remove, remove, remove, removeData, removeData, removeTreeCacheListener, setCacheLoader, setCacheLoaderClass, setCacheLoaderConfig, setCacheLoaderFetchPersistentState, setCacheLoaderFetchTransientState, setCacheLoaderPreload, setCacheLoaderShared, setCacheMode, setClusterConfig, setClusterName, setClusterProperties, setEvictionPolicyConfig, setFetchStateOnStartup, setInitialStateRetrievalTimeout, setIsolationLevel, setJndiName, setLockAcquisitionTimeout, setRemoteProxy, setReplQueueInterval, setReplQueueMaxElements, setSyncCommitPhase, setSyncReplTimeout, setSyncRollbackPhase, setTransactionManagerLookup, setTransactionManagerLookupClass, setUseReplQueue, startService, stopService, toString`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setEvictionPolicyClass

    public void setEvictionPolicyClass(String eviction_policy_class)

  Over-ride to make sure we are using an eviction policy specific to aop.

  Specified by:
    `setEvictionPolicyClass` in interface `TreeCacheMBean`

### putObject

    public Object putObject(String fqn,
                            Object obj)
                     throws CacheException

  Insert an aop-enabled object into the cache. It will also recursively put the any sub-object that is declared as aop-capable (i.e., in `jboss-aop.xml`). Note that `List`, `Map`, `Set` attributes are aop-enabled, by default, as well.

  Parameters:
    `fqn` - The fqn string name to associate with the object in the cache.
    `obj` - aop-enabled object to be inerted into the cache. If null, it will nullify the fqn node.
  Throws:
    `CacheException`

### putObject

    public Object putObject(Fqn fqn,
                            Object obj)
                     throws CacheException

  Insert an aop-enabled object into the cache. It will also recursively put the any sub-object that is declared as aop-capable (i.e., in `jboss-aop.xml`). Note that `List`, `Map`, `Set` attributes are aop-enabled, by default, as well.

  Parameters:
    `fqn` - The fqn instance to associate with the object in the cache.
    `obj` - aop-enabled object to be inerted into the cache. If null, it will nullify the fqn node.
  Throws:
    `CacheException`

### getObject

    public Object getObject(String fqn)
                     throws CacheException

  Retrieve the aop-enabled object from the cache.

  Parameters:
    `fqn` - String name that associates with this node.
  Returns:
    Current content value. Null if does not exist.
  Throws:
    `CacheException`

### getObject

    public Object getObject(Fqn fqn)
                     throws CacheException

  Retrieve the aop-enabled object from the cache. Return null if object does not exist in the cache.

  Parameters:
    `fqn` - Instance that associates with this node.
  Returns:
    Current content value. Null if does not exist.
  Throws:
    `CacheException`

### removeObject

    public Object removeObject(String fqn)
                        throws CacheException

  Remove aop-enabled object from the cache.

  Parameters:
    `fqn` - String name that associates with this node.
  Returns:
    Value object from this node.
  Throws:
    `CacheException`

### removeObject

    public Object removeObject(Fqn fqn)
                        throws CacheException

  Remove aop-enabled object from the cache.

  Parameters:
    `fqn` - Instance that associates with this node.
  Returns:
    Original value object from this node.
  Throws:
    `CacheException`

### _put

    public Object _put(GlobalTransaction tx,
                       Fqn fqn,
                       Object key,
                       Object value,
                       boolean create_undo_ops)
                throws CacheException

  Specified by:
    `_put` in interface `TreeCacheMBean`
  Throws:
    `CacheException`

### evict

    public void evict(Fqn fqn)
               throws CacheException

  Override to provide aop specific eviction.

  Called by eviction policy provider. Note that eviction is done only in local mode, that is, it doesn't replicate the node removal. This is will cause the replcation nodes not synchronizing, but it is ok since user is supposed to add the node again when get is null. After that, the contents will be in sync.

  Specified by:
    `evict` in interface `TreeCacheMBean`
  Parameters:
    `fqn` - Will remove everythign assoicated with this fqn.
  Throws:
    `CacheException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.